set_option("play=0")
rtsetparams(44100, 1)

rtinput("../sfsrc/pianosrc.aiff")
//rtoutput("../sf/piano3.aiff")

pdex = { "F2", "Ab2", "Bb2", "C3", "Db3", "D3", "Eb3", "E3",
	"F3", "Gb3", "G3", "Ab3", "A3", "Bb3", "B3", "C4", "Db4", "D4", "Eb4", "E4",
	"F4", "Gb4", "G4", "Ab4", "A4", "Bb4", "C5", "Db5", "D5", "Eb5", "E5",
	"F5", "G5", "Ab5" }

amp = 6.0
//ampenv = maketable("line", 1000, 0,0, 1,1, 2,1, 5,0)
ampenv = maketable("line", 1000, 0,0, 2,1, 5,0)
ndur = 1.7
allowdur = 7.0
speedup = 0.62
inoff = 0.7

q = 2.5
e = q/2
h = 2*q
dh = 3*q
s = e/2
w = 4*q


// tenor
tpch = {"r", "r", "C4", "D4", "C4", "C4", "Bb3",
	"F4", "G4", "G4", "G4",
	"F4", "F4", "Eb4", "Eb4", "Eb4",
	"Ab3", "Ab3", "Gb3", "Bb3", "Ab3", "Eb3",
	"Gb3", "Gb3", "Ab3", "Bb3",
	"C4", "Eb4", "Eb4", "D4",
	"C4", "Ab3", "C4", "Bb3", "G3",
	"C4", "F4", "F4",
	"r", "C4", "Bb3",
	"C4", "D4", "Eb4",
	"E4", "C4", "Bb3", "Bb3",
	"Bb3", "Bb3", "Bb3", "C4", "Db4",

	"Bb3", "Ab3", "Bb3", "Bb3",
	"C4",
	"r",
	"r",
	"r", "Bb3",
	"Db4", "C4", "Bb3", "Ab3",  "F3", "r", "Ab3", "C4",
	"D4", "Bb3", "F3", "G3", "F3", "G3", "F3",

	"E4", "C4", "G3", "A3", "G3", "A3", "G3",
	"Eb4", "Db4", "Bb3", "Ab3",
	"Bb3", "Eb4", "Bb3", "Bb3",
	"F3" }
tdur = {q, q, e, e, q, q, q,
	q, q, q, q,
	q, e, e, q, q,
	q, e, e, e, e, q,
	q, q, q, q,
	q, q, q, q,
	q, e, e, q, q,
	h, q,
	q, q, q, q,
	e, e, q,
	q, q, q, q,
	q, q, e, e, q,

	e, e, h, h,
	dh,
	w,
	w,
	dh, q,
	s, s, s, s,  q, q, e, e,
	e, e, e, e, e, e, q,

	e, e, e, e, e, e, q,
	q, q, q, q,
	q, q, q, q,
	q }
tlen = len(tpch)


st = 0;
for(i = 0; i < tlen; i += 1) {
	pch = tpch[i]
	dur = tdur[i]
	if (pch != "r") {
		j = 0;
		while (j < 777) {
			if (pch == pdex[j]) {
				insk = j*8
				j = 777
			}
			j += 1
		}
      thedur = ndur*dur
      if (thedur > allowdur) thedur = allowdur
      MIX(st, insk+inoff, thedur, amp*ampenv, 0, 0)
	}
   if (st > (54*q)) dur *= speedup
	st += dur
}

