set_option("play=0")
rtsetparams(44100, 1)

rtinput("../sfsrc/pianosrc.aiff")
//rtoutput("../sf/piano4.aiff")

pdex = { "F2", "Ab2", "Bb2", "C3", "Db3", "D3", "Eb3", "E3",
	"F3", "Gb3", "G3", "Ab3", "A3", "Bb3", "B3", "C4", "Db4", "D4", "Eb4", "E4",
	"F4", "Gb4", "G4", "Ab4", "A4", "Bb4", "C5", "Db5", "D5", "Eb5", "E5",
	"F5", "G5", "Ab5" }

amp = 3.4
//ampenv = maketable("line", 1000, 0,0, 1,1, 2,1, 5,0)
ampenv = maketable("line", 1000, 0,0, 2,1, 5,0)
ndur = 1.7
allowdur = 7.0
speedup = 0.62
inoff = 0.7

q = 2.5
e = q/2
h = 2*q
dh = 3*q
s = e/2
w = 4*q


// bass
bpch = { "r", "r", "r", "F3", "G3", "Bb3", "Eb3", "F3",
	"G3", "C4", "F4", "Bb3",
	"C4", "F3", "G3", "Ab3", "Bb3", "C4", "C4", "C3",
	"Eb3", "C3", "Db3", "F3", "Ab2", "C3",
	"Db3", "E3", "Eb3", "C3",
	"Eb3", "Bb3", "Db4", "C4", "Bb3",
	"Bb3", "G3", "Eb3", "C3", "D3",
	"F3", "C4", "C4",
	"C3", "F3", "G3",
	"F3", "G3",
	"D4", "F3", "C3", "D3",
	"Eb3", "F3", "G3", "Ab3", "F3",

	"F3", "G3", "Ab3",
	"Bb3",
	"r", "Eb3",
	"r", "C3",
	"r", "Bb2",
	"r", "F2", "C3", "Eb3",
	"F3", "G3", "D3", "C3", "Bb2", "C3", "D3", "Bb2",

	"G3", "A3", "E3", "D3", "C3", "D3", "E3", "C3",
	"Eb3", "Bb3", "Ab3", "Ab3", "G3", "F3", "Db3",
	"Eb3", "Bb3", "A3", "G3", "Eb3",
	"C3" }
bdur = { q, q, q, e, e, e, e, q,
	q, q, q, q,
	e, e, e, e, e, e, e, e,
	q, q, e, e, e, e, 
	q, q, q, q,
	q, q, q, e, e,
	e, e, q, q, q,
	q, q, q,
	h, q, q,
	q, q,
	q, q, q, q,
	q, e, e, q, q,

	q, h, h,
	dh,
	h, h,
	h, h,
	h, h,
	h, q, e, e,
	e, e, e, e, e, e, e, e,

	e, e, e, e, e, e, e, e,
	e, e, q, e, e, e, e,
	q, e, e, q, q,
	w }
blen = len(bpch)


st = 0;
for(i = 0; i < blen; i += 1) {
	pch = bpch[i]
	dur = bdur[i]
	if (pch != "r") {
		j = 0;
		while (j < 777) {
			if (pch == pdex[j]) {
				insk = j*8
				j = 777
			}
			j += 1
		}
      thedur = ndur*dur
      if (thedur > allowdur) thedur = allowdur
      MIX(st, insk+inoff, thedur, amp*ampenv, 0, 0)
	}
   if (st > (54*q)) dur *= speedup
	st += dur
}

