set_option("play=0")
rtsetparams(44100, 1)

rtinput("../sfsrc/pianosrc.aiff")
//rtoutput("../sf/pianoend.aiff")

pdex = { "F2", "Ab2", "Bb2", "C3", "Db3", "D3", "Eb3", "E3",
	"F3", "Gb3", "G3", "Ab3", "A3", "Bb3", "B3", "C4", "Db4", "D4", "Eb4", "E4",
	"F4", "Gb4", "G4", "Ab4", "A4", "Bb4", "C5", "Db5", "D5", "Eb5", "E5",
	"F5", "G5", "Ab5" }

amp = 11.2
//ampenv = maketable("line", 1000, 0,0, 1,1, 2,1, 5,0)
ampenv = maketable("line", 1000, 0,0, 2,1, 5,0)
ndur = 1.7
allowdur = 7.0
speedup = 0.62
inoff = 0.7

q = 2.5
e = q/2
h = 2*q
dh = 3*q
s = e/2
w = 4*q


// soprano end
spch1 = { "F5", "C5", "G4", "A4" }
spch2 = { "F5", "C5", "G4", "Bb4" }
sdur = { q, q, q, q }
slen = len(spch1)

st = 0;
ntimes = 14
for (ii = 0; ii < ntimes; ii += 1) {
for(i = 0; i < slen; i += 1) {	
	if (random() > 0.5) {
		pch = spch1[i]
	} else {
		pch = spch2[i]
	}
	dur = sdur[i]
	if (pch != "r") {
		j = 0;
		while (j < 777) {
			if (pch == pdex[j]) {
				insk = j*8
				j = 777
			}
			j += 1
		}
		thedur = ndur*dur
		if (thedur > allowdur) thedur = allowdur
		MIX(st, insk+inoff, thedur, amp*ampenv, 0, 0)
	}
	dur *= speedup // because we're at the end!
st += dur
}
}

