rtsetparams(44100, 2)
load("STEREO")

rtinput("../sfsrc/pianosrc.aiff")

pdex = { "F2", "Ab2", "Bb2", "C3", "Db3", "D3", "Eb3", "E3",
	"F3", "Gb3", "G3", "Ab3", "A3", "Bb3", "B3", "C4", "Db4", "D4", "Eb4", "E4",
	"F4", "Gb4", "G4", "Ab4", "A4", "Bb4", "C5", "Db5", "D5", "Eb5", "E5",
	"F5", "G5", "Ab5" }

amp = 4.0
//ampenv = maketable("line", 1000, 0,0, 1,1, 2,1, 5,0)
ampenv = maketable("line", 1000, 0,0, 2,1, 5,0)
ndur = 1.7
allowdur = 7.0
speedup = 0.62
inoff = 0.7

q = 2.5
e = q/2
h = 2*q
dh = 3*q
s = e/2
w = 4*q


// soprano
spch = { "F4", "G4", "Bb4", "A4", "Ab4", "G4",
	"C5", "F5", "E5", "Eb5",
	"D5", "Db5", "C5", "Bb4", "G4",
	"F4", "Eb4", "Eb4", "C4", "Bb3",
	"Db4", "Eb4", "Db4", "F4", "Ab4",
	"Eb5", "Eb5", "Bb4", "Bb4",
	"F4", "F4", "F4", "E4", "F4",
	"G4", "A4", "Bb4", "D5",
	"r", "C5", "D5", "F5", "E5", "D5", "C5",
	"F4", "F4",
	"G4", "D5", "G5", "F5",
	"C5", "Bb4", "Bb4", "Ab4",

	"F4", "Bb4", "Bb4",
	"Bb4",
	"Bb4", "Eb5", "Ab5", "G5",
	"G4", "C5", "F5", "E5",
	"F4", "Bb4", "Eb5", "D5",
	"Eb4", "Ab4", "Db5", "C5",
	"Bb4", "F4", "C4", "D4",

	"C5", "G4", "D4", "E4",
	"Db5", "Ab4", "Eb4", "F4",
	"Eb5", "Bb4", "F4", "G4",
	"F5", "C5", "G4", "A4" }
sdur = { q, q, q, q, q, q,
	q, q, q, q,
	q, q, q, e, e,
	q, q, q, e, e,
	q, e, e, q, q,
	q, q, q, q,
	q, q, q, e, e,
	e, e, q, q,
	q, e, e, e, e, e, e,
	q, q,
	q, q, q, q,
	q, q, q, q,

	q, h, h,
	dh,
	q, q, q, q,
	q, q, q, q,
	q, q, q, q,
	q, q, q, q,
	q, q, q, q,

	q, q, q, q,
	q, q, q, q,
	q, q, q, q,
	q, q, q, q }
slen = len(spch)

st = 0;
for(i = 0; i < slen; i += 1) {
	pch = spch[i]
	dur = sdur[i]
	if (pch != "r") {
		j = 0;
		while (j < 777) {
			if (pch == pdex[j]) {
				insk = j*8
				j = 777
			}
			j += 1
		}
		thedur = ndur*dur
		if (thedur > allowdur) thedur = allowdur
		STEREO(st, insk+inoff, thedur, amp*ampenv, 0.2, 0.2)
	}
	if (st > (54*q)) dur *= speedup
	st += dur
}


// alto
apch =  { "r", "F4", "Eb4", "G4", "F4", "F4", "G4", "Eb4", "Eb4",
	"G4", "C5", "C5", "Bb4",
	"Bb4", "Ab4", "F4", "F4",
	"Eb4", "Bb3", "Db4", "Ab3",
	"Ab3", "Bb3", "B3", "Bb3", "Eb4",
	"Ab4", "G4", "Gb4", "F4",
	"E4", "Eb4", "D4", "C4", "C4",
	"D4", "G4", "Bb4",
	"C5", "Bb4", "G4", "A4",
	"G4", "Bb4",
	"F4", "G4", "C5", "C5", "F4",
	"F4", "F4", "Eb4", "Eb4",

	"Eb4", "F4", "Eb4",
	"F4",
	"Ab4", "G4", "F4", "Eb4",  "Db4", "C4", "Bb3", "Eb4",
	"F4", "Eb4", "D4", "C4",  "Bb3", "A3", "G3", "C4",
	"Eb4", "D4", "C4", "Bb3",  "Ab3", "G3", "F3", "F4", "G4",
	"Ab4", "r", "r", "Eb4",
	"F4", "C4", "C4", "Bb3", "A3", "Bb3", "C4", "Bb3",

	"G4", "D4", "D4", "C4", "B3", "C4", "D4", "C4",
	"Ab4", "F4", "Eb4", "Db4", "Bb3", "C4",
	"F4", "F4", "F4", "C4",
	"C4" }
adur = { q, e, e, e, e, e, e, q, q,
	q, q, q, q,
	q, q, q, q,
	q, q, q, q,
	e, e, q, q, q,
	q, q, q, q,
	q, q, e, e, q,
	q, q, q,
	q, q, q, q,
	q, q,
	q, q, q, e, e,
	q, q, q, q,

	q, h, h,
	dh,
	s, s, s, s,  e, e, q, q,
	s, s, s, s,  e, e, q, q,
	s, s, s, s,  e, e, q, e, e,
	q, q, q, q,
	e, e, e, e, e, e, e, e,

	e, e, e, e, e, e, e, e,
	e, e, q, q, e, e,
	q, q, q, q,
	w }
alen = len(apch)

st = 0;
for(i = 0; i < alen; i += 1) {
	pch = apch[i]
	dur = adur[i]
	if (pch != "r") {
		j = 0;
		while (j < 777) {
			if (pch == pdex[j]) {
				insk = j*8
				j = 777
			}
			j += 1
		}
      thedur = ndur*dur
      if (thedur > allowdur) thedur = allowdur
      STEREO(st, insk+inoff, thedur, amp*ampenv, 0.8, 0.8)
	}
   if (st > (54*q)) dur *= speedup
	st += dur
}


// tenor
tpch = {"r", "r", "C4", "D4", "C4", "C4", "Bb3",
	"F4", "G4", "G4", "G4",
	"F4", "F4", "Eb4", "Eb4", "Eb4",
	"Ab3", "Ab3", "Gb3", "Bb3", "Ab3", "Eb3",
	"Gb3", "Gb3", "Ab3", "Bb3",
	"C4", "Eb4", "Eb4", "D4",
	"C4", "Ab3", "C4", "Bb3", "G3",
	"C4", "F4", "F4",
	"r", "C4", "Bb3",
	"C4", "D4", "Eb4",
	"E4", "C4", "Bb3", "Bb3",
	"Bb3", "Bb3", "Bb3", "C4", "Db4",

	"Bb3", "Ab3", "Bb3", "Bb3",
	"C4",
	"r",
	"r",
	"r", "Bb3",
	"Db4", "C4", "Bb3", "Ab3",  "F3", "r", "Ab3", "C4",
	"D4", "Bb3", "F3", "G3", "F3", "G3", "F3",

	"E4", "C4", "G3", "A3", "G3", "A3", "G3",
	"Eb4", "Db4", "Bb3", "Ab3",
	"Bb3", "Eb4", "Bb3", "Bb3",
	"F3" }
tdur = {q, q, e, e, q, q, q,
	q, q, q, q,
	q, e, e, q, q,
	q, e, e, e, e, q,
	q, q, q, q,
	q, q, q, q,
	q, e, e, q, q,
	h, q,
	q, q, q, q,
	e, e, q,
	q, q, q, q,
	q, q, e, e, q,

	e, e, h, h,
	dh,
	w,
	w,
	dh, q,
	s, s, s, s,  q, q, e, e,
	e, e, e, e, e, e, q,

	e, e, e, e, e, e, q,
	q, q, q, q,
	q, q, q, q,
	q }
tlen = len(tpch)


st = 0;
for(i = 0; i < tlen; i += 1) {
	pch = tpch[i]
	dur = tdur[i]
	if (pch != "r") {
		j = 0;
		while (j < 777) {
			if (pch == pdex[j]) {
				insk = j*8
				j = 777
			}
			j += 1
		}
      thedur = ndur*dur
      if (thedur > allowdur) thedur = allowdur
      STEREO(st, insk+inoff, thedur, amp*ampenv, 1.0, 1.0)
	}
   if (st > (54*q)) dur *= speedup
	st += dur
}


// bass
bpch = { "r", "r", "r", "F3", "G3", "Bb3", "Eb3", "F3",
	"G3", "C4", "F4", "Bb3",
	"C4", "F3", "G3", "Ab3", "Bb3", "C4", "C4", "C3",
	"Eb3", "C3", "Db3", "F3", "Ab2", "C3",
	"Db3", "E3", "Eb3", "C3",
	"Eb3", "Bb3", "Db4", "C4", "Bb3",
	"Bb3", "G3", "Eb3", "C3", "D3",
	"F3", "C4", "C4",
	"C3", "F3", "G3",
	"F3", "G3",
	"D4", "F3", "C3", "D3",
	"Eb3", "F3", "G3", "Ab3", "F3",

	"F3", "G3", "Ab3",
	"Bb3",
	"r", "Eb3",
	"r", "C3",
	"r", "Bb2",
	"r", "F2", "C3", "Eb3",
	"F3", "G3", "D3", "C3", "Bb2", "C3", "D3", "Bb2",

	"G3", "A3", "E3", "D3", "C3", "D3", "E3", "C3",
	"Eb3", "Bb3", "Ab3", "Ab3", "G3", "F3", "Db3",
	"Eb3", "Bb3", "A3", "G3", "Eb3",
	"C3" }
bdur = { q, q, q, e, e, e, e, q,
	q, q, q, q,
	e, e, e, e, e, e, e, e,
	q, q, e, e, e, e, 
	q, q, q, q,
	q, q, q, e, e,
	e, e, q, q, q,
	q, q, q,
	h, q, q,
	q, q,
	q, q, q, q,
	q, e, e, q, q,

	q, h, h,
	dh,
	h, h,
	h, h,
	h, h,
	h, q, e, e,
	e, e, e, e, e, e, e, e,

	e, e, e, e, e, e, e, e,
	e, e, q, e, e, e, e,
	q, e, e, q, q,
	w }
blen = len(bpch)


st = 0;
for(i = 0; i < blen; i += 1) {
	pch = bpch[i]
	dur = bdur[i]
	if (pch != "r") {
		j = 0;
		while (j < 777) {
			if (pch == pdex[j]) {
				insk = j*8
				j = 777
			}
			j += 1
		}
      thedur = ndur*dur
      if (thedur > allowdur) thedur = allowdur
      STEREO(st, insk+inoff, thedur, amp*ampenv, 0, 0)
	}
   if (st > (54*q)) dur *= speedup
	st += dur
}

